# std::messages_base Struct Reference
[Locales]

Messages facet base class providing catalog typedef. More...

Inheritance diagram for std::messages_base:
[legend]

List of all members.

## Public Types

- typedef int catalog

## Detailed Description

Messages facet base class providing catalog typedef.

Definition at line 1662 of file locale_facets_nonio.h.

The documentation for this struct was generated from the following file:

- locale_facets_nonio.h